Loading...
Searching...
No Matches
Dune::Amg::AggregatesGatherScatter< T, TI > Struct Template Reference

`#include <dune/istl/paamg/globalaggregates.hh>`

## Public Types

typedef TI | ParallelIndexSet
typedef ParallelIndexSet::GlobalIndex | GlobalIndex

## Static Public Member Functions

static const GlobalIndex & | gather (const GlobalAggregatesMap< T, TI > &ga, size_t i)
static void | scatter (GlobalAggregatesMap< T, TI > &ga, GlobalIndex global, size_t i)

## Member Typedef Documentation

## GlobalIndex

template<typename T, typename TI>

typedef ParallelIndexSet::GlobalIndex Dune::Amg::AggregatesGatherScatter< T, TI >::GlobalIndex

## ParallelIndexSet

template<typename T, typename TI>

typedef TI Dune::Amg::AggregatesGatherScatter< T, TI >::ParallelIndexSet

## Member Function Documentation

## gather()

template<typename T, typename TI>

const GlobalIndex & Dune::Amg::AggregatesGatherScatter< T, TI >::gather | ( | const GlobalAggregatesMap< T, TI > & | ga,
|  | size_t | i )

inline static

## scatter()

template<typename T, typename TI>

void Dune::Amg::AggregatesGatherScatter< T, TI >::scatter | ( | GlobalAggregatesMap< T, TI > & | ga,
|  | GlobalIndex | global,
|  | size_t | i )

inline static

The documentation for this struct was generated from the following file:

- globalaggregates.hh